import * as z from 'zod';
export const CommissionBatchItemFindUniqueResultSchema = z.nullable(z.object({
  id: z.number().int(),
  commissionBatchId: z.number().int(),
  paymentId: z.number().int(),
  collectionAmount: z.number(),
  commissionBatch: z.unknown(),
  payment: z.unknown()
}));